import * as graphic from '../../util/graphic.js';
import { PathProps } from 'tvrender/lib/graphic/Path.js';
import PathProxy from 'tvrender/lib/core/PathProxy.js';
declare class LineFillsPathShape {
    points: number[];
    isWebviewRender?: boolean;
    fill?: string;
}
declare type LineFillsPathProps = PathProps & {
    shape?: Partial<LineFillsPathShape>;
};
declare class LineFillsPath extends graphic.Path<LineFillsPathProps> {
    shape: LineFillsPathShape;
    constructor(opts?: LineFillsPathProps);
    getDefaultShape(): LineFillsPathShape;
    buildPath(path: PathProxy, shape: LineFillsPathShape): void;
}
export default LineFillsPath;
